<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/api_auth.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$api_auth = new Api_Auth($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->user)
&&!isEmpty($data->pass)){
	
    
if(!isEmpty($data->user)) { 
$api_auth->user = $data->user;
} else { 
$api_auth->user = '';
}
if(!isEmpty($data->pass)) { 
$api_auth->pass = $data->pass;
} else { 
$api_auth->pass = '';
}
 	$lastInsertedId=$api_auth->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create api_auth","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create api_auth. Data is incomplete.","document"=> ""));
}
?>
